Package oracle.jdbc.aq

## Interface AQAgent

    public interface AQAgent

An Agent represents and identifies a user of the queue, either producer or consumer of the message, either an end-user or an application. An Agent is identified by a name, an address and a protocol. The name can be either assigned by the application, or be the application itself. The address is determined in terms of the communication protocol. If the protocol is 0 (default), the address is of the form[schema.]queuename[@dblink], a database link.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAddress()`
`java.lang.String` `getName()`
`int` `getProtocol()`
`void` `setAddress​(java.lang.String address)` Protocol-specific address of the recipient.
`void` `setName​(java.lang.String name)`
`void` `setProtocol​(int protocol)` Protocol to interpret the address and propagate the message.
`java.lang.String` `toString()`

### Method Detail

#### setAddress

    void setAddress​(java.lang.String address)
             throws java.sql.SQLException

Protocol-specific address of the recipient. If the protocol is 0 (default), the address is of the form [schema.]queue[@dblink].

Throws:
  `java.sql.SQLException`

#### getAddress

    java.lang.String getAddress()

#### setName

    void setName​(java.lang.String name)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getName

    java.lang.String getName()

#### setProtocol

    void setProtocol​(int protocol)
              throws java.sql.SQLException

Protocol to interpret the address and propagate the message. The default (and currently the only supported) value is 0. The only valid value is zero, which is also the default.

Throws:
  `java.sql.SQLException`

#### getProtocol

    int getProtocol()

#### toString

    java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`